%def_disable static

Name: libmustux
Version: 0.20.1
Release: alt2

Summary: MustuxLib - the common library for all mustux applications
Summary(ru_RU.KOI8-R): MustuxLib -     mustux-
Group: System/Libraries
License: GPL
Url: http://www.nongnu.org/protux

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://savannah.nongnu.org/download/protux/%name-%version.tar.gz
Patch: %name-0.20.0-deb-debugger.patch

# Automatically added by buildreq on Thu Dec 25 2003
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 libalsa-devel libogg-devel libqt3-devel libstdc++-devel

%description
MustuxLib is the library that is common to all mustux applications.

%description -l ru_RU.KOI8-R
MustuxLib --   ,    
mustux-

%package devel
Summary: Development files for %name
Summary(ru_RU.KOI8-R):    mustux-
Group: Development/C++
Requires: %name = %version-%release

%description devel
MustuxLib is the library that is common to all mustux applications.

This package contains the header files and development libraries for
%name package

%description -l ru_RU.KOI8-R devel
MustuxLib --   ,    
mustux-.

       , 
  mustux-.

%package devel-static
Summary: Static version of %name
Group: Development/C++
Requires: %name = %version-%release

%description devel-static
MustuxLib is the library that is common to all mustux applications.

This package contains the static version of %name.

%define qtdir %_libdir/qt3

%prep
%setup -q
%patch -p1

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c -f
%__autoconf

export QTDIR=%qtdir
%configure %{subst_enable static}
%make_build

%install
%makeinstall

%__chmod -x NEWS README

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc ChangeLog README AUTHORS NEWS TODO

%files devel
%_bindir/*
%_libdir/*.so
%_includedir/*
%_datadir/aclocal/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Thu May 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.20.1-alt2
- fixed build.

* Thu Dec 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.20.1-alt1
- 0.20.1
- do not package .la files.

* Thu Jul 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.18.0-alt1
- 0.18.0
- summary, description by avp

* Tue Apr 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.17.0-alt1
- 0.17.0

* Tue Mar 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.16.0-alt1
- First build for Sisyphus.

